#line 1 "C:/Users/Usuario/Documents/MikroC_programas/ohmmeter/ohmmeter.c"



sbit LCD_RS at RD2_bit;
sbit LCD_EN at RD3_bit;
sbit LCD_D4 at RD4_bit;
sbit LCD_D5 at RD5_bit;
sbit LCD_D6 at RD6_bit;
sbit LCD_D7 at RD7_bit;
sbit LCD_RS_Direction at TRISD2_bit;
sbit LCD_EN_Direction at TRISD3_bit;
sbit LCD_D4_Direction at TRISD4_bit;
sbit LCD_D5_Direction at TRISD5_bit;
sbit LCD_D6_Direction at TRISD6_bit;
sbit LCD_D7_Direction at TRISD7_bit;



unsigned int adc_reading ;

void set_up() {

 INTCON = 0;
 ANSEL = 0x04;
 ANSELH = 0;
 ADCON1 = 0x82;
 C1ON_bit = 0;
 C2ON_bit = 0;
 CCP1CON = 0;
 CCP2CON = 0;
 ADC_Init();
 delay_us(100);
 Lcd_Init();
 Lcd_Cmd(_LCD_CLEAR);
 Lcd_Cmd(_LCD_CURSOR_OFF);
 Lcd_Out(1, 2, "Ohmmeter");
 Lcd_Out(2, 9, "Kohms");
}

void Resistor() {
 float ohms;
 char text[15];
 ohms = (1023.00-adc_reading)/adc_reading;
 FloatToStr(ohms, text);
 text[6] = 0;
 Lcd_Out(2,2,text);
}
void main() {

 set_up();
 do {
 adc_reading = ADC_Get_Sample(2);
 delay_ms(150);
 Resistor();
 } while(1);
}
